## ZpjSkydriveVideo ZpjSkydriveVideo — Skydrive video object. |

## Functions

ZpjSkydriveEntry * | zpj_skydrive_video_new ()
guint | zpj_skydrive_video_get_bitrate ()
guint64 | zpj_skydrive_video_get_duration ()
guint | zpj_skydrive_video_get_height ()
guint | zpj_skydrive_video_get_width ()

## Properties

guint | bitrate | Read
guint64 | duration | Read
guint | height | Read
guint | width | Read

## Types and Values

struct | ZpjSkydriveVideo
struct | ZpjSkydriveVideoClass

## Object Hierarchy

        GObject
        ╰── ZpjSkydriveEntry
            ╰── ZpjSkydriveFile
                ╰── ZpjSkydriveVideo

## Includes

    #include <zpj/zpj.h>

## Description

ZpjSkydriveVideo represents a Skydrive video object.

## Functions

### zpj_skydrive_video_new ()

    ZpjSkydriveEntry *
    zpj_skydrive_video_new (JsonNode *node);

Creates a new ZpjSkydriveVideo from the given `node` . If you already know the ID of the video then you can use `zpj_skydrive_query_info_from_id()`.

#### Parameters

node | A JsonNode returned by the server. |

#### Returns

A new ZpjSkydriveVideo. Free the returned object with `g_object_unref()`.

[transfer full]

### zpj_skydrive_video_get_bitrate ()

    guint
    zpj_skydrive_video_get_bitrate (ZpjSkydriveVideo *self);

Gets the bit rate of `self` in bits per second. This is the value of the bitrate member in the JSON returned by the server.

#### Parameters

self | A ZpjSkydriveVideo. |

#### Returns

The video's bit rate in bits per second.

### zpj_skydrive_video_get_duration ()

    guint64
    zpj_skydrive_video_get_duration (ZpjSkydriveVideo *self);

Gets the run time duration of `self` in milliseconds. This is the value of the duration member in the JSON returned by the server.

#### Parameters

self | A ZpjSkydriveVideo. |

#### Returns

The video's run time duration in milliseconds.

### zpj_skydrive_video_get_height ()

    guint
    zpj_skydrive_video_get_height (ZpjSkydriveVideo *self);

Gets the height of `self` in pixels. This is the value of the height member in the JSON returned by the server.

#### Parameters

self | A ZpjSkydriveVideo. |

#### Returns

The video's height in pixels.

### zpj_skydrive_video_get_width ()

    guint
    zpj_skydrive_video_get_width (ZpjSkydriveVideo *self);

Gets the width of `self` in pixels. This is the value of the width member in the JSON returned by the server.

#### Parameters

self | A ZpjSkydriveVideo. |

#### Returns

The video's width in pixels.

## Types and Values

### struct ZpjSkydriveVideo

    struct ZpjSkydriveVideo;

The ZpjSkydriveVideo structure contains only private data and should only be accessed using the provided API.

### struct ZpjSkydriveVideoClass

    struct ZpjSkydriveVideoClass {
      ZpjSkydriveFileClass parent_class;
    };

Class structure for ZpjSkydriveVideo.

#### Members

## Property Details

### The `“bitrate”` property

      “bitrate”                  guint

Bit rate of the video in bits per second.

Owner: ZpjSkydriveVideo

Flags: Read

Default value: 0

### The `“duration”` property

      “duration”                 guint64

Run time duration of the video in milliseconds.

Owner: ZpjSkydriveVideo

Flags: Read

Default value: 0

### The `“height”` property

      “height”                   guint

Height of the video in pixels.

Owner: ZpjSkydriveVideo

Flags: Read

Default value: 0

### The `“width”` property

      “width”                    guint

Width of the video in pixels.

Owner: ZpjSkydriveVideo

Flags: Read

Default value: 0